报错信息:System.Data.OracleClient 需要 Oracle 客户端软件 8...

原创
2012/09/18 20:53
阅读数 298

装的是Oracle9,也就只有oracle9会出现这种状况,visual Studio 会报错System.Data.OracleClient 需要 Oracle 客户端软件 8.1.7 或更高版本。

客户端已经装了oracle9的客户端啦,

ORACLE_HOME 安装的D盘磁盘格式FAT32啊,

数据库我都卸载重装啦,

问题出在一个很搓的地方,公司里的主机,C盘是NTFS的磁盘格式,D盘是FAT32。。。。。。

虽说安装的时候路径选择的是FAT32的D盘,但是还会生成C:\Program Files\Oracle,所以当觉得很奇怪为什么D盘的ORACLE根目录右键属性没有安全这个标签捏?其实要改的是C:\Program Files\Oracle的IIS访问权限。。。。。。

1.右键属性,安全,

2点击“高级”----“立即查找”,在下面显示的账户中选择“NTWORK SERVICE”(注意:IIS6中aspnet的账户是NTWORK SERVICE;而在IIS5中是aspnet。总之,在搜索出的账户中有这两个账户中的哪一个就选哪一个,将所有的权限都赋予----确定。
3.在“计算机管理”-----双击右侧的Administrators------将上一步搜索出来的账户添加进去。
4.重新启动IIS即可。可以在“运行”中输入“IISRESET”。
5.重启计算机

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部